Debian Bug report logs - #716999
broadcom-sta-dkms: Fails to build on linux 3.10 (procfs API change)

version graph

Package: broadcom-sta-dkms; Maintainer for broadcom-sta-dkms is Cyril Lacoux <clacoux@easter-eggs.com>; Source for broadcom-sta-dkms is src:broadcom-sta.

Reported by: Jannis Mast <jannism234@gmail.com>

Date: Mon, 15 Jul 2013 20:51:02 UTC

Severity: grave

Merged with 719667, 721492

Found in versions broadcom-sta/5.100.82.112-11, broadcom-sta/5.100.82.112-9

Fixed in version broadcom-sta/6.30.223.141-1

Done: Cyril Lacoux <clacoux@easter-eggs.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jannism234@gmail.com, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#716999; Package broadcom-sta-dkms. (Mon, 15 Jul 2013 20:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jannis Mast <jannism234@gmail.com>:
New Bug report received and forwarded. Copy sent to jannism234@gmail.com, Cyril Lacoux <clacoux@easter-eggs.com>. (Mon, 15 Jul 2013 20:51:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jannis Mast <jannism234@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: broadcom-sta-dkms: Fails to build on linux 3.10 (procfs API change)
Date: Mon, 15 Jul 2013 22:50:38 +0200
Package: broadcom-sta-dkms
Version: 5.100.82.112-11
Severity: important



-- System Information:
Debian Release: jessie/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.10.1 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages broadcom-sta-dkms depends on:
ii  dkms  2.2.0.3-1.2

Versions of packages broadcom-sta-dkms recommends:
ii  wireless-tools  30~pre9-8

broadcom-sta-dkms suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#716999; Package broadcom-sta-dkms. (Wed, 17 Jul 2013 12:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Wed, 17 Jul 2013 12:48:08 GMT) Full text and rfc822 format available.

Message #10 received at 716999@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Jannis Mast <jannism234@gmail.com>
Cc: 716999@bugs.debian.org, control@bugs.debian.org
Subject: Re: broadcom-sta-dkms: Fails to build on linux 3.10 (procfs API change)
Date: Wed, 17 Jul 2013 14:41:22 +0200
severity 716999 grave
thanks

On Mon, Jul 15, 2013 at 10:50:38PM +0200, Jannis Mast wrote:
> Package: broadcom-sta-dkms
> Version: 5.100.82.112-11
> Severity: important

Here's the build log:

Cheers,
        Moritz

KBUILD_NOPEDANTIC=1 make -C /lib/modules/3.10-1-amd64/build M=/var/lib/dkms/broadcom-sta/5.100.82.112/build
make[1]: Entering directory `/usr/src/linux-headers-3.10-1-amd64'
CFG80211 API is prefered for this kernel version
Using CFG80211 API
Kernel architecture is X86_64
  LD      /var/lib/dkms/broadcom-sta/5.100.82.112/build/built-in.o
  CC [M]  /var/lib/dkms/broadcom-sta/5.100.82.112/build/src/shared/linux_osl.o
  CC [M]  /var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.o
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c: In function ‘wl_tkip_printstats’:
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2975:7: warning: passing argument 1 of ‘wl->tkipmodops->print_stats’ from incompatible pointer type [enabled by default]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2975:7: note: expected ‘struct seq_file *’ but argument is of type ‘char *’
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2978:4: warning: passing argument 1 of ‘wl->tkipmodops->print_stats’ from incompatible pointer type [enabled by default]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2978:4: note: expected ‘struct seq_file *’ but argument is of type ‘char *’
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c: In function ‘wl_reg_proc_entry’:
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3185:2: error: implicit declaration of function ‘create_proc_entry’ [-Werror=implicit-function-declaration]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3185:22: warning: assignment makes pointer from integer without a cast [enabled by default]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3190:16: error: dereferencing pointer to incomplete type
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3191:16: error: dereferencing pointer to incomplete type
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3192:16: error: dereferencing pointer to incomplete type
cc1: some warnings being treated as errors
make[4]: *** [/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.o] Fehler 1




Severity set to 'grave' from 'important' Request was from Moritz Muehlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Wed, 17 Jul 2013 12:48:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#716999; Package broadcom-sta-dkms. (Sun, 28 Jul 2013 12:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Debi Tuxxx <debituxxx@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Sun, 28 Jul 2013 12:51:09 GMT) Full text and rfc822 format available.

Message #17 received at 716999@bugs.debian.org (full text, mbox):

From: Debi Tuxxx <debituxxx@gmail.com>
To: 716999@bugs.debian.org
Subject: Debian Bug report logs - #716999,broadcom-sta-dkms: Fails to build on linux 3.10 (procfs API change)
Date: Sun, 28 Jul 2013 14:49:50 +0200
[Message part 1 (text/plain, inline)]
I've got same problem.

Debian stable (wheezy)
works partly with wicd-client, wi-fi connected but client still has
status "connecting" and stay there forever.

Upgrade to testing (jessie)
Wasn't able to build broadcom-sta-dkms for linux-image-3.9-1-amd64
same problem as here -
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=702788

Added unstable (sid) to source.list as mentioned commend under bug 702788
broadcom-sta-dkms build properly, but! It completely freeze computer
(keyboard,mouse) when it starts (just power button helps). When I've
blacklist wl, it worked, when I've loaded it manually and run wicd it
freeze computer. When I've tried under rescue mode it did the same, but
show some kernel panic.


Under linux-image-3.10-1-amd64 again broadcom-sta-dkms can't build properly.


dpkg-reconfigure broadcom-sta-dkms

------------------------------
Deleting module version: 5.100.82.112
completely from the DKMS tree.
------------------------------
Done.
Loading new broadcom-sta-5.100.82.112 DKMS files...
Building only for 3.10-1-amd64
Building initial module for 3.10-1-amd64
Error! Bad return status for module build on kernel: 3.10-1-amd64 (x86_64)
Consult /var/lib/dkms/broadcom-sta/5.100.82.112/build/make.log for more
information.
root@sulfur:/home/hellth# cat
/var/lib/dkms/broadcom-sta/5.100.82.112/build/make.log
DKMS make.log for broadcom-sta-5.100.82.112 for kernel 3.10-1-amd64 (x86_64)
Sun Jul 28 14:06:32 CEST 2013
/bin/sh: 1: [: Illegal number:
/bin/sh: 1: [: Illegal number:
Wireless Extension is the only possible API for this kernel version
Using Wireless Extension API
KBUILD_NOPEDANTIC=1 make -C /lib/modules/3.10-1-amd64/build
M=/var/lib/dkms/broadcom-sta/5.100.82.112/build
make[1]: Entering directory `/usr/src/linux-headers-3.10-1-amd64'
CFG80211 API is prefered for this kernel version
Using CFG80211 API
Kernel architecture is X86_64
  LD      /var/lib/dkms/broadcom-sta/5.100.82.112/build/built-in.o
  CC [M] 
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/shared/linux_osl.o
  CC [M] 
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.o
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c: In
function 'wl_tkip_printstats':
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2975:7:
warning: passing argument 1 of 'wl->tkipmodops->print_stats' from
incompatible pointer type [enabled by default]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2975:7:
note: expected 'struct seq_file *' but argument is of type 'char *'
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2978:4:
warning: passing argument 1 of 'wl->tkipmodops->print_stats' from
incompatible pointer type [enabled by default]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2978:4:
note: expected 'struct seq_file *' but argument is of type 'char *'
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c: In
function 'wl_reg_proc_entry':
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3185:2:
error: implicit declaration of function 'create_proc_entry'
[-Werror=implicit-function-declaration]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3185:22:
warning: assignment makes pointer from integer without a cast [enabled
by default]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3190:16:
error: dereferencing pointer to incomplete type
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3191:16:
error: dereferencing pointer to incomplete type
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3192:16:
error: dereferencing pointer to incomplete type
cc1: some warnings being treated as errors
make[4]: ***
[/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.o]
Error 1
make[3]: *** [_module_/var/lib/dkms/broadcom-sta/5.100.82.112/build] Error 2
make[2]: *** [sub-make] Error 2
make[1]: *** [all] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-3.10-1-amd64'
make: *** [all] Error 2


Thanks to maintainer for fixing this bug, hope this will help little bit.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#716999; Package broadcom-sta-dkms. (Tue, 13 Aug 2013 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mikel Garai Palacios <m.garai@ziv.es>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Tue, 13 Aug 2013 22:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 716999@bugs.debian.org (full text, mbox):

From: Mikel Garai Palacios <m.garai@ziv.es>
To: "716999@bugs.debian.org" <716999@bugs.debian.org>
Subject: Re: broadcom-sta-dkms: Fails to build on linux 3.10 (procfs API change)
Date: Tue, 13 Aug 2013 21:52:55 +0000
Hi!

The same happened to me.

Today debian testing updated linux kernel to 3.10, and the kernel module
broadcom-sta-dkms 5.100.82.112-11.

Here is the output of the installation, hope it helps.

Thank you very much for your effort!!

Mikel

root@mgarai:/home/mikel/downloads# dpkg -i
broadcom-sta-dkms_5.100.82.112-11_all.deb
(Leyendo la base de datos ... 231082 ficheros o directorios instalados
actualmente.)
Preparando para reemplazar broadcom-sta-dkms 5.100.82.112-11 (usando
broadcom-sta-dkms_5.100.82.112-11_all.deb) ...

------------------------------
Deleting module version: 5.100.82.112
completely from the DKMS tree.
------------------------------
Done.
Desempaquetando el reemplazo de broadcom-sta-dkms ...
Configurando broadcom-sta-dkms (5.100.82.112-11) ...
Loading new broadcom-sta-5.100.82.112 DKMS files...
Building only for 3.10-2-amd64
Building initial module for 3.10-2-amd64
Error! Bad return status for module build on kernel: 3.10-2-amd64 (x86_64)
Consult /var/lib/dkms/broadcom-sta/5.100.82.112/build/make.log for more
information.
root@mgarai:/home/mikel/downloads# cat
/var/lib/dkms/broadcom-sta/5.100.82.112/build/make.log
DKMS make.log for broadcom-sta-5.100.82.112 for kernel 3.10-2-amd64 (x86_64)
mar ago 13 23:49:58 CEST 2013
/bin/sh: 1: [: Illegal number:
/bin/sh: 1: [: Illegal number:
Wireless Extension is the only possible API for this kernel version
Using Wireless Extension API
KBUILD_NOPEDANTIC=1 make -C /lib/modules/3.10-2-amd64/build
M=/var/lib/dkms/broadcom-sta/5.100.82.112/build
make[1]: se ingresa al directorio `/usr/src/linux-headers-3.10-2-amd64'
CFG80211 API is prefered for this kernel version
Using CFG80211 API
Kernel architecture is X86_64
LD /var/lib/dkms/broadcom-sta/5.100.82.112/build/built-in.o
CC [M] /var/lib/dkms/broadcom-sta/5.100.82.112/build/src/shared/linux_osl.o
CC [M] /var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.o
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c: In
function ‘wl_tkip_printstats’:
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2975:7:
warning: passing argument 1 of ‘wl->tkipmodops->print_stats’ from
incompatible pointer type [enabled by default]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2975:7:
note: expected ‘struct seq_file *’ but argument is of type ‘char *’
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2978:4:
warning: passing argument 1 of ‘wl->tkipmodops->print_stats’ from
incompatible pointer type [enabled by default]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2978:4:
note: expected ‘struct seq_file *’ but argument is of type ‘char *’
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c: In
function ‘wl_reg_proc_entry’:
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3185:2:
error: implicit declaration of function ‘create_proc_entry’
[-Werror=implicit-function-declaration]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3185:22:
warning: assignment makes pointer from integer without a cast [enabled
by default]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3190:16:
error: dereferencing pointer to incomplete type
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3191:16:
error: dereferencing pointer to incomplete type
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3192:16:
error: dereferencing pointer to incomplete type
cc1: some warnings being treated as errors
make[4]: ***
[/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.o]
Error 1
make[3]: *** [_module_/var/lib/dkms/broadcom-sta/5.100.82.112/build] Error 2
make[2]: *** [sub-make] Error 2
make[1]: *** [all] Error 2
make[1]: se sale del directorio `/usr/src/linux-headers-3.10-2-amd64'
make: *** [all] Error 2

----------------------------------------- PLEASE NOTE -------------------------------------------
This message, along with any attachments, may be confidential or legally privileged.
It is intended only for the named person(s), who is/are the only authorized recipients.
If this message has reached you in error, kindly destroy it without review and notify the sender immediately.
Thank you for your help.
ZIV uses virus scanning software but excludes any liability for viruses contained in any attachment.

------------------------------------ ROGAMOS LEA ESTE TEXTO -------------------------------
Este mensaje y sus anexos pueden contener información confidencial y/o con derecho legal.
Está dirigido únicamente a la/s persona/s o entidad/es reseñadas como único destinatario autorizado.
Si este mensaje le hubiera llegado por error, por favor elimínelo sin revisarlo ni reenviarlo y notifíquelo inmediatamente al remitente. Gracias por su colaboración.
ZIV utiliza software antivirus, pero no se hace responsable de los virus contenidos en los ficheros anexos.

Antes de imprimir este correo electrónico piense si es necesario hacerlo. El medio ambiente también es cosa nuestra.
Please consider your environmental responsibility before printing this e-mail.



Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#716999; Package broadcom-sta-dkms. (Wed, 14 Aug 2013 10:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to mor <mor.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Wed, 14 Aug 2013 10:33:05 GMT) Full text and rfc822 format available.

Message #27 received at 716999@bugs.debian.org (full text, mbox):

From: mor <mor.debian@gmail.com>
To: Debian Bug Tracking System <716999@bugs.debian.org>
Subject: Re: broadcom-sta-dkms: Fails to build on linux 3.10 (procfs API change)
Date: Wed, 14 Aug 2013 12:31:44 +0200
Package: broadcom-sta-dkms
Version: 5.100.82.112-11
Followup-For: Bug #716999

I can confirm that broadcom-sta-5.100.82.112 does not compile on 3.10 kernel.

With kernel 3.9 the version from unstable compiles as stated in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=702788

I would like to add that also broadcom-sta-source had a similar problem with
the testing version and kernel3.9, but compiled with the version from unstable.
This time though with kernel 3.10 no version of either source or dkms compiles.

Anyway, here's the output of my system:

root@debian:~# dpkg-reconfigure broadcom-sta-dkms

------------------------------
Deleting module version: 5.100.82.112
completely from the DKMS tree.
------------------------------
Done.
Loading new broadcom-sta-5.100.82.112 DKMS files...
Building only for 3.10-2-amd64
Building initial module for 3.10-2-amd64
Error! Bad return status for module build on kernel: 3.10-2-amd64 (x86_64)
Consult /var/lib/dkms/broadcom-sta/5.100.82.112/build/make.log for more
information.


root@debian:~# cat /var/lib/dkms/broadcom-sta/5.100.82.112/build/make.log
DKMS make.log for broadcom-sta-5.100.82.112 for kernel 3.10-2-amd64 (x86_64)
Wed Aug 14 11:50:38 CEST 2013
/bin/sh: 1: [: Illegal number:
/bin/sh: 1: [: Illegal number:
Wireless Extension is the only possible API for this kernel version
Using Wireless Extension API
KBUILD_NOPEDANTIC=1 make -C /lib/modules/3.10-2-amd64/build M=/var/lib/dkms
/broadcom-sta/5.100.82.112/build
make[1]: Entering directory `/usr/src/linux-headers-3.10-2-amd64'
CFG80211 API is prefered for this kernel version
Using CFG80211 API
Kernel architecture is X86_64
  LD      /var/lib/dkms/broadcom-sta/5.100.82.112/build/built-in.o
  CC [M]  /var/lib/dkms/broadcom-sta/5.100.82.112/build/src/shared/linux_osl.o
  CC [M]  /var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.o
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c: In
function 'wl_tkip_printstats':
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2975:7:
warning: passing argument 1 of 'wl->tkipmodops->print_stats' from incompatible
pointer type [enabled by default]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2975:7:
note: expected 'struct seq_file *' but argument is of type 'char *'
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2978:4:
warning: passing argument 1 of 'wl->tkipmodops->print_stats' from incompatible
pointer type [enabled by default]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:2978:4:
note: expected 'struct seq_file *' but argument is of type 'char *'
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c: In
function 'wl_reg_proc_entry':
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3185:2:
error: implicit declaration of function 'create_proc_entry' [-Werror=implicit-
function-declaration]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3185:22:
warning: assignment makes pointer from integer without a cast [enabled by
default]
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3190:16:
error: dereferencing pointer to incomplete type
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3191:16:
error: dereferencing pointer to incomplete type
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/wl_linux.c:3192:16:
error: dereferencing pointer to incomplete type
cc1: some warnings being treated as errors
make[4]: *** [/var/lib/dkms/broadcom-
sta/5.100.82.112/build/src/wl/sys/wl_linux.o] Error 1
make[3]: *** [_module_/var/lib/dkms/broadcom-sta/5.100.82.112/build] Error 2
make[2]: *** [sub-make] Error 2
make[1]: *** [all] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-3.10-2-amd64'
make: *** [all] Error 2

I also believe that http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719667
might be the same problem.



-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.10-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages broadcom-sta-dkms depends on:
ii  dkms  2.2.0.3-1.2

Versions of packages broadcom-sta-dkms recommends:
ii  wireless-tools  30~pre9-8

broadcom-sta-dkms suggests no packages.

-- no debconf information



Merged 716999 719667 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 14 Aug 2013 19:57:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#716999; Package broadcom-sta-dkms. (Thu, 15 Aug 2013 12:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lev Livnev <lev.livnev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Thu, 15 Aug 2013 12:30:05 GMT) Full text and rfc822 format available.

Message #34 received at 716999@bugs.debian.org (full text, mbox):

From: Lev Livnev <lev.livnev@gmail.com>
To: 716999@bugs.debian.org
Subject: Re: broadcom-sta-dkms: Fails to build on linux 3.10 (procfs API change)
Date: Thu, 15 Aug 2013 13:26:05 +0100
[Message part 1 (text/plain, inline)]
Package: broadcom-sta-dkms
Version: 5.100.82.112-11
Followup-For: Bug #716999

I can also confirm that broadcom-sta-5.100.82.112 does not build in
3.10 after the update. I have managed to find a fix though, but the
.path I found here:

https://launchpadlibrarian.net/141082858/wl-6xx-kmod-011_kernel_3.10.patch

did not patch properly for me, so I had to do it manually. So you can
try using the patch above, and if it doesn't work, replace your
wl_linux.c inside
/var/lib/dkms/broadcom-sta/5.100.82.112/build/src/wl/sys/ with the one
I am attaching, and then recompiling.

Basically create_proc_entry() is deprecated and now proc_create() is
used, which takes slightly different arguments.

P.S. Sorry if I used the bug system incorrectly, please let me know if
I did anything wrong in replying to this message.
[Message part 2 (text/html, inline)]
[wl_linux.c (text/x-csrc, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, matiasbellone+debian@gmail.com, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#716999; Package broadcom-sta-dkms. (Sun, 18 Aug 2013 17:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matias Bellone <matiasbellone+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to matiasbellone+debian@gmail.com, Cyril Lacoux <clacoux@easter-eggs.com>. (Sun, 18 Aug 2013 17:30:05 GMT) Full text and rfc822 format available.

Message #39 received at 716999@bugs.debian.org (full text, mbox):

From: Matias Bellone <matiasbellone+debian@gmail.com>
To: Debian Bug Tracking System <716999@bugs.debian.org>
Subject: Re: broadcom-sta-dkms: Fails to build on linux 3.10 (procfs API change)
Date: Sun, 18 Aug 2013 14:27:50 -0300
Package: broadcom-sta-dkms
Version: 5.100.82.112-11
Followup-For: Bug #716999

I can confirm that using the wl_linux.c file provided by Lev does fix the build
issues, the module compiles and then loads correctly and appears to be working
just fine so far.



-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (900, 'testing'), (100, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.10-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages broadcom-sta-dkms depends on:
ii  dkms  2.2.0.3-1.2

Versions of packages broadcom-sta-dkms recommends:
ii  wireless-tools  30~pre9-8

broadcom-sta-dkms suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#716999; Package broadcom-sta-dkms. (Mon, 19 Aug 2013 10:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to mor <mor.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Mon, 19 Aug 2013 10:18:05 GMT) Full text and rfc822 format available.

Message #44 received at 716999@bugs.debian.org (full text, mbox):

From: mor <mor.debian@gmail.com>
To: Debian Bug Tracking System <716999@bugs.debian.org>
Subject: Re: broadcom-sta-dkms: Fails to build on linux 3.10 (procfs API change)
Date: Mon, 19 Aug 2013 12:14:33 +0200
Package: broadcom-sta-dkms
Version: 5.100.82.112-11
Followup-For: Bug #716999

Unfortunately either patching wl_linux.c or using Lev's patch file doesn't seem
to do the trick for me, although I'm starting to think that "dpkg-reconfigure
broadcom-sta-dkms" might not be the correct step after patching since it
rebuilds all files including the patched one.



-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.10-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages broadcom-sta-dkms depends on:
ii  dkms  2.2.0.3-1.2

Versions of packages broadcom-sta-dkms recommends:
ii  wireless-tools  30~pre9-8

broadcom-sta-dkms suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#716999; Package broadcom-sta-dkms. (Tue, 20 Aug 2013 23:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "warmsun0220@gmail.com" <warmsun0220@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Tue, 20 Aug 2013 23:15:04 GMT) Full text and rfc822 format available.

Message #49 received at 716999@bugs.debian.org (full text, mbox):

From: "warmsun0220@gmail.com" <warmsun0220@gmail.com>
To: 716999@bugs.debian.org
Cc: mor.debian@gmail.com
Date: Wed, 21 Aug 2013 07:11:41 +0800
Replace your wl_linux.c
inside/usr/src/broadcom-sta-5.100.82.112/src/wl/sys/ is the right way to
solve this problem.

then you can run "sudo dpkg-reconfigure
broadcom-sta-dkms" to recompiles it.

warmsun




Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#716999; Package broadcom-sta-dkms. (Wed, 21 Aug 2013 21:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jannis Mast <jannism234@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Wed, 21 Aug 2013 21:03:04 GMT) Full text and rfc822 format available.

Message #54 received at 716999@bugs.debian.org (full text, mbox):

From: Jannis Mast <jannism234@gmail.com>
To: 716999@bugs.debian.org
Subject: Re: broadcom-sta-dkms: Fails to build on linux 3.10 (procfs API change)
Date: Wed, 21 Aug 2013 22:59:52 +0200
The patch seems to work for me, the modules builds and works for the 
most part. However, if I try to use the driver's procfs features (enable 
monitor mode), the system freezes locks up until the kernel panics 
because of the lockup and prints out a stacktrace. Can anyone reproduce 
this or is this an error on my part?



Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#716999; Package broadcom-sta-dkms. (Fri, 23 Aug 2013 09:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "warmsun0220@gmail.com" <warmsun0220@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Fri, 23 Aug 2013 09:15:05 GMT) Full text and rfc822 format available.

Message #59 received at 716999@bugs.debian.org (full text, mbox):

From: "warmsun0220@gmail.com" <warmsun0220@gmail.com>
To: 716999@bugs.debian.org
Subject: i think arch AUR have solved this problem
Date: Fri, 23 Aug 2013 17:12:59 +0800
https://aur.archlinux.org/packages/broadcom-wl/

1.i download 
http://www.broadcom.com/support/802.11/linux_sta.php
2.patch it by
https://aur.archlinux.org/packages/br/broadcom-wl/broadcom-wl.tar.gz
license.patch linux-recent.patch
3.replace /usr/src/broadcom-sta-5.100.82.112 by the patched files above.
4.sudo dpkg-reconfigure broadcom-sta-dkms




Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Lacoux <clacoux@easter-eggs.com>:
Bug#716999; Package broadcom-sta-dkms. (Tue, 27 Aug 2013 17:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to francisco velasco <correo_registros@yahoo.es>:
Extra info received and forwarded to list. Copy sent to Cyril Lacoux <clacoux@easter-eggs.com>. (Tue, 27 Aug 2013 17:30:04 GMT) Full text and rfc822 format available.

Message #64 received at 716999@bugs.debian.org (full text, mbox):

From: francisco velasco <correo_registros@yahoo.es>
To: "716999@bugs.debian.org" <716999@bugs.debian.org>
Subject: Ubuntu has solved
Date: Tue, 27 Aug 2013 18:27:48 +0100 (BST)
[Message part 1 (text/plain, inline)]
The above patchs didn't work for me.
Ubuntu has solved and is the easier solution I found: https://launchpad.net/ubuntu/+source/bcmwl/6.30.223.30+bdcom-0ubuntu3/+build/4761504 .
Simply download thebcmwl-kernel-source_6.30.223.30+bdcom-0ubuntu3_amd64.deb and installit. 
[Message part 2 (text/html, inline)]

Reply sent to Cyril Lacoux <clacoux@easter-eggs.com>:
You have taken responsibility. (Tue, 17 Sep 2013 09:06:09 GMT) Full text and rfc822 format available.

Notification sent to Jannis Mast <jannism234@gmail.com>:
Bug acknowledged by developer. (Tue, 17 Sep 2013 09:06:09 GMT) Full text and rfc822 format available.

Message #69 received at 716999-close@bugs.debian.org (full text, mbox):

From: Cyril Lacoux <clacoux@easter-eggs.com>
To: 716999-close@bugs.debian.org
Subject: Bug#716999: fixed in broadcom-sta 6.30.223.141-1
Date: Tue, 17 Sep 2013 09:03:51 +0000
Source: broadcom-sta
Source-Version: 6.30.223.141-1

We believe that the bug you reported is fixed in the latest version of
broadcom-sta, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 716999@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Lacoux <clacoux@easter-eggs.com> (supplier of updated broadcom-sta package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 16 Sep 2013 10:19:56 +0400
Source: broadcom-sta
Binary: broadcom-sta-common broadcom-sta-dkms broadcom-sta-source
Architecture: source all
Version: 6.30.223.141-1
Distribution: unstable
Urgency: low
Maintainer: Cyril Lacoux <clacoux@easter-eggs.com>
Changed-By: Cyril Lacoux <clacoux@easter-eggs.com>
Description: 
 broadcom-sta-common - Common files for the Broadcom STA Wireless driver
 broadcom-sta-dkms - dkms source for the Broadcom STA Wireless driver
 broadcom-sta-source - Source for the Broadcom STA Wireless driver
Closes: 688823 716999
Changes: 
 broadcom-sta (6.30.223.141-1) unstable; urgency=low
 .
   * New upstream release (Yeah!) (Closes: #688823).
   * Refreshed the following patch files:
     - 00-changelog.patch
     - 01-shipped-module.patch
     - 02-license.patch
     - 03-rename-to-wlan0.patch
     - 05-user_ioctl.patch (-> 04-user_ioctl.patch)
   * Dropped applied upstream patch files:
     - 04-linux-semaphore-include.patch
     - 06-2.6.39.patch
     - 07-3.0.0.patch
     - 08-3.2.0.patch
     - 09-3.4.0.patch
     - 10-3.6.0.patch
     - 11-3.8.0.patch
     - 12-3.9.0.patch
   * Added 05-3.10.0.patch for kernel 3.10 compatibility (Closes: #716999).
Checksums-Sha1: 
 ff6524676c9f6c1c4832412faa77c30c0e9493c3 1988 broadcom-sta_6.30.223.141-1.dsc
 8609aad912c0e1e8bc9a8f0cbc878d5819656408 3231806 broadcom-sta_6.30.223.141.orig.tar.bz2
 05e5add64b1f53e64675c9f0348a6098648fb1f8 17017 broadcom-sta_6.30.223.141-1.debian.tar.gz
 bf1ff62de1a89c17b326749873e2432cef67a5b2 11912 broadcom-sta-common_6.30.223.141-1_all.deb
 993327c49ffc893cea5cf394ca6f53a7a4545c76 1744664 broadcom-sta-dkms_6.30.223.141-1_all.deb
 566d428c83d1c953d4df2b4b336d504922b994d6 3150710 broadcom-sta-source_6.30.223.141-1_all.deb
Checksums-Sha256: 
 3fc145cf48314d210eb2ab17dcdc2d2e66b995ffc1740f2d82de87bf59c02e62 1988 broadcom-sta_6.30.223.141-1.dsc
 23e8a0d5039c84f85b3ec5b6c4a860417b58098a27dd1945124270b8b5f6d1cd 3231806 broadcom-sta_6.30.223.141.orig.tar.bz2
 0b8da0a1d80afde4d46c96bb8c2b095a7f5db1780517ef3a3664bce643666be9 17017 broadcom-sta_6.30.223.141-1.debian.tar.gz
 da48704b2454f1133aa157c42dbb858c4758183314dabe1d7792852c5156d035 11912 broadcom-sta-common_6.30.223.141-1_all.deb
 5b7d4241cb01a76c34dedc3735c62754846327dccc6dde70cdf6b372332596e6 1744664 broadcom-sta-dkms_6.30.223.141-1_all.deb
 76af708a10e288988c1107fbb062224ad33c05399cac7d855e33f943c0f6b19e 3150710 broadcom-sta-source_6.30.223.141-1_all.deb
Files: 
 fb980c0a58e79d2bd66af5c336abe74f 1988 non-free/kernel optional broadcom-sta_6.30.223.141-1.dsc
 3b6973e59e67faf2f7cece00f40e859f 3231806 non-free/kernel optional broadcom-sta_6.30.223.141.orig.tar.bz2
 bd52585757feb95c8ada0e772c75bcec 17017 non-free/kernel optional broadcom-sta_6.30.223.141-1.debian.tar.gz
 d5bbbdac215be1a9493317d3b0dd9d78 11912 non-free/kernel optional broadcom-sta-common_6.30.223.141-1_all.deb
 0ff4ccfc57d63466b1d9b73a41f2dddf 1744664 non-free/kernel optional broadcom-sta-dkms_6.30.223.141-1_all.deb
 66c3c3dcfa3b746d16cd49349148f980 3150710 non-free/kernel optional broadcom-sta-source_6.30.223.141-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJSOAv9AAoJEGEbqVCLeKXCkwAP/iLl5pI/o2J/WWCua20Hwgcx
kH69CvM/sf14mbIs9R68lxUlpIHGedZj69wyNKRZuzCRpI4t2v6NsEqdwZ5gALCM
yQ20xhNU1Tl03xjvUYWZSVzvSaCD27EbVW90uFuwgigKOJFdHQxtHXlk/f1HdFww
ijQFI7ib66ncOh6EEp+DaETCLbthHD+BpWVaGG0LkIbdya7EGSDDsxJ/YjW343h8
az9Gy8CZYVvCkyMHNas1c7fE7jg6jyEDVon6mQ62yvge8UuvagBJ+j6xekBtcbt4
rWQW3j48/zT6poK9TetRaF3+LT+7sgvluWXbMTtG27FEbLjq7xbTBlJBISkzj+b5
ja5VR76dH5r8B0pt1q2xdqBeX0tPCd4Q/460Umzvy9SGPGHf5CRbextIZbrprcRA
JmQjjx+QL86x0YE//nHWJd/myzFF3xj77/wmlhccQKOKKbWO6n8XDb/rk2uW7kae
rR7ABu+MERydlvSB5LP9IWtDU/jnDWAN9VlFCaQCQ7y57yWrsY1HGKcCcREsHTdp
zsVwLmAtDR4XQdoal4e8u+UZ4MRBmv5g2qFRYov3mHgvK+61tqFfeHM7JN1PuOcq
M8Udw2UPC/kIjP6FN+ckscyrQuaW89Dnt1G8hWVNtWLAAuRQXx0ZObMlAha72jHa
iU5u61GgPzZsKxqvcBY1
=SHoQ
-----END PGP SIGNATURE-----




Reply sent to Cyril Lacoux <clacoux@easter-eggs.com>:
You have taken responsibility. (Tue, 17 Sep 2013 09:06:10 GMT) Full text and rfc822 format available.

Notification sent to Cyrille Mortreux <cyrille.mortreux@gmail.com>:
Bug acknowledged by developer. (Tue, 17 Sep 2013 09:06:10 GMT) Full text and rfc822 format available.

Marked as found in versions broadcom-sta/5.100.82.112-9. Request was from Cyril Lacoux <clacoux@easter-eggs.com> to control@bugs.debian.org. (Thu, 19 Sep 2013 08:27:10 GMT) Full text and rfc822 format available.

Merged 716999 719667 721492 Request was from Cyril Lacoux <clacoux@easter-eggs.com> to control@bugs.debian.org. (Thu, 19 Sep 2013 08:27:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Oct 2013 07:29:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:38:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.